Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Update Question - used drone

Discussion in 'Inspire 1 Discussion' started by ehcropydoc, Nov 6, 2015.

  1. ehcropydoc

    Joined:
    Feb 21, 2014
    Messages:
    40
    Likes Received:
    1
    I'll get right to it. Just bought another i1 (used) and I need some assistance updating it.

    Here is where it is now:
    App - 2.4.0
    AC - 1.2.1.03+
    RC - 1.3.00
    Camera - 1.4.00.10

    Can anyone help me understand the order in which I should get all of this up to date? Any assistance is appreciated. Thanks
     
  2. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    577
    Location:
    Buckie, Scotland, UK
    The app, RC and camera appear to be at the latest standard. You should only need to upgrade the aircraft to 1.4.0.10. The only query would be the plus sign showing on the aircraft firmware version (1.2.1.03+). This the indication you get if beta firmware is installed. However, it should take 1.4.0.10 with no problems.
     
  3. ehcropydoc

    Joined:
    Feb 21, 2014
    Messages:
    40
    Likes Received:
    1
    So I should just download 1.3.0.00, install it on bird. Check for Success.
    Then download and install 1.4.0.10 on bird and be done ?
     
  4. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    577
    Location:
    Buckie, Scotland, UK
    You can go via 1.3.0.0 but the RC is already at that level and that was where the update anomaly was. I personally would be happy to go straight to the latest standard.